#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>

static const unsigned char qt_resource_tree[] = {
0,
0,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,
8,0,2,0,0,0,1,0,0,0,2,0,0,0,20,0,
2,0,0,0,6,0,0,0,3,0,0,0,106,0,0,0,
0,0,1,0,0,0,0,0,0,0,56,0,0,0,0,0,
1,0,0,0,0,0,0,1,12,0,0,0,0,0,1,0,
0,0,0,0,0,0,154,0,0,0,0,0,1,0,0,0,
0,0,0,0,246,0,0,0,0,0,1,0,0,0,0,0,
0,0,208,0,0,0,0,0,1,0,0,0,0};
static const unsigned char qt_resource_names[] = {
0,
1,0,0,0,47,0,47,0,3,0,0,120,60,0,113,0,
109,0,108,0,15,9,115,111,132,0,113,0,109,0,108,0,
99,0,117,0,115,0,116,0,111,0,109,0,108,0,101,0,
103,0,101,0,110,0,100,0,22,0,169,167,28,0,65,0,
110,0,105,0,109,0,97,0,116,0,101,0,100,0,65,0,
114,0,101,0,97,0,83,0,101,0,114,0,105,0,101,0,
115,0,46,0,113,0,109,0,108,0,21,0,48,115,28,0,
67,0,104,0,97,0,114,0,116,0,86,0,105,0,101,0,
119,0,83,0,101,0,108,0,101,0,99,0,116,0,111,0,
114,0,46,0,113,0,109,0,108,0,24,6,84,28,156,0,
67,0,104,0,97,0,114,0,116,0,86,0,105,0,101,0,
119,0,72,0,105,0,103,0,104,0,108,0,105,0,103,0,
104,0,116,0,101,0,100,0,46,0,113,0,109,0,108,0,
16,14,145,181,60,0,67,0,117,0,115,0,116,0,111,0,
109,0,76,0,101,0,103,0,101,0,110,0,100,0,46,0,
113,0,109,0,108,0,8,8,1,90,92,0,109,0,97,0,
105,0,110,0,46,0,113,0,109,0,108,0,20,2,4,80,
124,0,67,0,104,0,97,0,114,0,116,0,86,0,105,0,
101,0,119,0,83,0,116,0,97,0,99,0,107,0,101,0,
100,0,46,0,113,0,109,0,108};
static const unsigned char qt_resource_empty_payout[] = { 0, 0, 0, 0, 0 };
QT_BEGIN_NAMESPACE
extern Q_CORE_EXPORT bool qRegisterResourceData(int, const unsigned char *, const unsigned char *, const unsigned char *);
QT_END_NAMESPACE
namespace QmlCacheGeneratedCode {
namespace _qml_qmlcustomlegend_ChartViewStacked_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlcustomlegend_main_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlcustomlegend_CustomLegend_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlcustomlegend_ChartViewHighlighted_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlcustomlegend_ChartViewSelector_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _qml_qmlcustomlegend_AnimatedAreaSeries_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlcustomlegend/ChartViewStacked.qml"), &QmlCacheGeneratedCode::_qml_qmlcustomlegend_ChartViewStacked_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlcustomlegend/main.qml"), &QmlCacheGeneratedCode::_qml_qmlcustomlegend_main_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlcustomlegend/CustomLegend.qml"), &QmlCacheGeneratedCode::_qml_qmlcustomlegend_CustomLegend_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlcustomlegend/ChartViewHighlighted.qml"), &QmlCacheGeneratedCode::_qml_qmlcustomlegend_ChartViewHighlighted_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlcustomlegend/ChartViewSelector.qml"), &QmlCacheGeneratedCode::_qml_qmlcustomlegend_ChartViewSelector_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/qml/qmlcustomlegend/AnimatedAreaSeries.qml"), &QmlCacheGeneratedCode::_qml_qmlcustomlegend_AnimatedAreaSeries_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.version = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
QT_PREPEND_NAMESPACE(qRegisterResourceData)(/*version*/0x01, qt_resource_tree, qt_resource_names, qt_resource_empty_payout);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_resources)() {
    ::unitRegistry();
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_resources))
int QT_MANGLE_NAMESPACE(qCleanupResources_resources)() {
    return 1;
}
